#include "arg.ih"

bool Arg__::required()
{
    if (not d_assignment)                   // opt=value wasn't used
    {
        if (d_arg + 1 == d_end)             // no more arguments
        {
            d_optionType = NO_LONG_ARGUMENT;
            return false;
        }
        
        d_tail = *++d_arg;                  // next arg. is the value
    }

    return optional();                      // always true
}
